package com.ruoyi.qdtl.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.qdtl.mapper.TlWorkPicMapper;
import com.ruoyi.qdtl.domain.TlWorkPic;
import com.ruoyi.qdtl.service.ITlWorkPicService;

/**
 * 工作面貌图片管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-09
 */
@Service
public class TlWorkPicServiceImpl implements ITlWorkPicService 
{
    @Autowired
    private TlWorkPicMapper tlWorkPicMapper;

    /**
     * 查询工作面貌图片管理
     * 
     * @param id 工作面貌图片管理主键
     * @return 工作面貌图片管理
     */
    @Override
    public TlWorkPic selectTlWorkPicById(Long id)
    {
        return tlWorkPicMapper.selectTlWorkPicById(id);
    }

    /**
     * 查询工作面貌图片管理列表
     * 
     * @param tlWorkPic 工作面貌图片管理
     * @return 工作面貌图片管理
     */
    @Override
    public List<TlWorkPic> selectTlWorkPicList(TlWorkPic tlWorkPic)
    {
        return tlWorkPicMapper.selectTlWorkPicList(tlWorkPic);
    }

    /**
     * 新增工作面貌图片管理
     * 
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    @Override
    public int insertTlWorkPic(TlWorkPic tlWorkPic)
    {
        tlWorkPic.setCreateTime(DateUtils.getNowDate());
        return tlWorkPicMapper.insertTlWorkPic(tlWorkPic);
    }

    /**
     * 修改工作面貌图片管理
     * 
     * @param tlWorkPic 工作面貌图片管理
     * @return 结果
     */
    @Override
    public int updateTlWorkPic(TlWorkPic tlWorkPic)
    {
        tlWorkPic.setUpdateTime(DateUtils.getNowDate());
        return tlWorkPicMapper.updateTlWorkPic(tlWorkPic);
    }

    /**
     * 批量删除工作面貌图片管理
     * 
     * @param ids 需要删除的工作面貌图片管理主键
     * @return 结果
     */
    @Override
    public int deleteTlWorkPicByIds(Long[] ids)
    {
        return tlWorkPicMapper.deleteTlWorkPicByIds(ids);
    }

    /**
     * 删除工作面貌图片管理信息
     * 
     * @param id 工作面貌图片管理主键
     * @return 结果
     */
    @Override
    public int deleteTlWorkPicById(Long id)
    {
        return tlWorkPicMapper.deleteTlWorkPicById(id);
    }
}
